Bug 164799 - cursor becomes confined to first xinerama screen - cursor wraps to other side of screen
Summary: cursor becomes confined to first xinerama screen - cursor wraps to other side...
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL: https://bugs.freedesktop.org/show_bug...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-01 15:39 UTC by Charles R. Anderson
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-14 09:07:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg configuration (3.69 KB, text/plain)
2005-08-01 15:45 UTC, Charles R. Anderson
no flags Details
xorg log (64.89 KB, text/plain)
2005-08-01 15:47 UTC, Charles R. Anderson
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 4342 None None None Never

Description Charles R. Anderson 2005-08-01 15:39:17 UTC
Description of problem:

After starting Open Office, the X cursor can no longer be moved off the left
edge of Screen 0 onto the right edge of Screen 1.  Instead, the cursor wraps to
the right edge of Screen 0.  It seems that there may be a way to "fix" the
behavior without restarting X, but I only stumbled upon it once.  Killing Open
Office doesn't fix it, and changing virtual desktops with the mouse or keyboard
doesn't fix it.  I'm not sure if this is an xorg-x11 / xinerama bug, an
openoffice.org bug, a metacity bug, or something else.

Version-Release number of selected component (if applicable):
6.8.2-37

How reproducible:
Sometimes.  I haven't narrowed down the exact steps, but it seems to happen when
starting oocalc from the command line, only sometimes, and may have something to
do with the window being placed on the opposite display from where the mouse
cursor is currently.

Steps to Reproduce:
1. Set up dual displays in Xinerama mode.
2. Open a terminal window on Screen 0.
3. run "oocalc" such that metacity places the window on Screen 1, e.g. first
fill up the empty space on Screen 0 with other windows.
  
Actual results:

Open Office Calc starts up on Screen 1, and immediately the X cursor becomes
confined to Screen 0.  Moving the cursor across the left edge of Screen 0 just
causes the cursor to warp or wrap to the right edge of the same screen.

Expected results:

The mouse cursor should not become confined.  The full use of both screens in
Xinerama mode should be retained regardless of what applications are started.

Additional info:

FC4, GNOME desktop, fairly standard settings (except focus follows mouse /
Select windows when the mouse moves over them), Clearlooks/Clearlooks theme,
metacity window manager.  OSS radeon driver, ATI Radeon X300 PCI-Express card,
dual DVI outputs connected to Dell 2001FP monitors.

Component versions:

xorg-x11-6.8.2-37
metacity-2.10.0-2.fc4
gnome-panel-2.10.1-10.2
openoffice.org-core-1.9.117-3.1.0.fc4

Comment 1 Charles R. Anderson 2005-08-01 15:42:43 UTC
BTW, something I did just "fixed" the cursor.

lspci:

01:00.0 VGA compatible controller: ATI Technologies Inc RV370 5B60 [Radeon X300
(PCIE)] (prog-if 00 [VGA])
        Subsystem: ATI Technologies Inc: Unknown device 0402
        Flags: bus master, fast devsel, latency 0, IRQ 11
        Memory at d0000000 (32-bit, prefetchable) [size=128M]
        I/O ports at dc00 [size=256]
        Memory at dfde0000 (32-bit, non-prefetchable) [size=64K]
        Expansion ROM at dfe00000 [disabled] [size=128K]
        Capabilities: [50] Power Management version 2
        Capabilities: [58] Express Endpoint IRQ 0
        Capabilities: [80] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-
        Capabilities: [100] Advanced Error Reporting


Comment 2 Charles R. Anderson 2005-08-01 15:45:12 UTC
Created attachment 117345 [details]
xorg configuration

Configuration created by system-config-display, with one manual edit, changing
ServerLayout "Screen0" RightOf "Screen1" instead of LeftOf.

Comment 3 Charles R. Anderson 2005-08-01 15:47:19 UTC
Created attachment 117346 [details]
xorg log

Comment 4 Mike A. Harris 2005-08-30 13:56:00 UTC
Please report this issue to X.Org developers by filing a bug report in
the X.Org bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "NEEDINFO_REPORTER", awaiting X.Org bug URL
for tracking.

Comment 5 Charles R. Anderson 2005-09-02 19:55:27 UTC
Filed in X.Org bugzilla:  https://bugs.freedesktop.org/show_bug.cgi?id=4342

Comment 6 Mike A. Harris 2005-09-14 09:06:13 UTC
Thanks for the bug URL.  Setting status to "UPSTREAM" for tracking.


Note You need to log in before you can comment on or make changes to this bug.